setInternet2 {utils} | R Documentation

## Set or disable the use of Windows internal functions for Internet access.

### Description

This used to control whether `method = "internal"` mapped to `method = "wininet"` in functions `download.file` and `url`.

As from R 3.3.0 it changes nothing, and only `use = NA` is accepted.

### Usage

    setInternet2(use = TRUE)

### Arguments

`use` | logical: whether to use the Windows internet functions. If `NA`, just return the current setting.

### Value

For backwards compatibility, `TRUE`.

### Author(s)

Duncan Murdoch

### Examples

    setInternet2(NA)

[Package utils version 3.3.0 Index]